Gocator API

- Home
- Categories
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Groups Pages
Public Member Functions
GoPartDetection Class Reference
GoSdk/Surface

## Description

Represents the part detection parameters of the surface mode configuration.

Inherits kObject.

## Public Member Functions
kStatus | GoPartDetection_EnablePartDetection (GoPartDetection detection, kBool enable)
| Enables part detection. More...
kBool | GoPartDetection_EnablePartDetectionUsed (GoPartDetection detection)
| Returns the state of whether or not the user specified part detection value is used. More...
GoPartFrameOfReference | GoPartDetection_FrameOfReference (GoPartDetection detection)
| Gets the part detection frame of reference. More...
k64f | GoPartDetection_GapLength (GoPartDetection detection)
| Gets the part detection gap length value. More...
k64f | GoPartDetection_GapLengthLimitMax (GoPartDetection detection)
| Gets the part detection gap length maximum limit value. More...
k64f | GoPartDetection_GapLengthLimitMin (GoPartDetection detection)
| Gets the part detection gap width minimum limit value. More...
k64f | GoPartDetection_GapWidth (GoPartDetection detection)
| Gets the part detection gap width value. More...
k64f | GoPartDetection_GapWidthLimitMax (GoPartDetection detection)
| Gets the part detection gap width maximum limit value. More...
k64f | GoPartDetection_GapWidthLimitMin (GoPartDetection detection)
| Gets the part detection gap width minimum limit value. More...
k64f | GoPartDetection_MaxLength (GoPartDetection detection)
| Gets the part detection max length value. More...
k64f | GoPartDetection_MaxLengthLimitMax (GoPartDetection detection)
| Gets the part detection maximum length range maximum value. More...
k64f | GoPartDetection_MaxLengthLimitMin (GoPartDetection detection)
| Gets the part detection maximum length range minimum value. More...
k64f | GoPartDetection_MinArea (GoPartDetection detection)
| Gets the part detection minimum area value. More...
k64f | GoPartDetection_MinAreaLimitMax (GoPartDetection detection)
| Gets the part detection maximum area range maximum value. More...
k64f | GoPartDetection_MinAreaLimitMin (GoPartDetection detection)
| Gets the part detection minimum area range maximum value. More...
k64f | GoPartDetection_PaddingLength (GoPartDetection detection)
| Gets the part detection padding length value. More...
k64f | GoPartDetection_PaddingLengthLimitMax (GoPartDetection detection)
| Gets the part detection padding length maximum limit value. More...
k64f | GoPartDetection_PaddingLengthLimitMin (GoPartDetection detection)
| Gets the part detection padding length minimum limit value. More...
k64f | GoPartDetection_PaddingWidth (GoPartDetection detection)
| Gets the part detection padding width value. More...
k64f | GoPartDetection_PaddingWidthLimitMax (GoPartDetection detection)
| Gets the part detection padding width maximum limit value. More...
k64f | GoPartDetection_PaddingWidthLimitMin (GoPartDetection detection)
| Gets the part detection padding width minimum limit value. More...
kBool | GoPartDetection_PartDetectionEnabled (GoPartDetection detection)
| Gets the current state of part detection. More...
kBool | GoPartDetection_PartDetectionEnabledSystemValue (GoPartDetection detection)
| Gets the current part detection system state. More...
kStatus | GoPartDetection_SetFrameOfReference (GoPartDetection detection, GoPartFrameOfReference frameOfRef)
| Sets the part detection frame of reference. More...
kStatus | GoPartDetection_SetGapLength (GoPartDetection detection, k64f gap)
| Sets the part detection gap length. More...
kStatus | GoPartDetection_SetGapWidth (GoPartDetection detection, k64f gap)
| Sets the part detection gap width. More...
kStatus | GoPartDetection_SetMaxLength (GoPartDetection detection, k64f length)
| Sets the part detection maximum length. More...
kStatus | GoPartDetection_SetMinArea (GoPartDetection detection, k64f area)
| Sets the part detection minimum area. More...
kStatus | GoPartDetection_SetPaddingLength (GoPartDetection detection, k64f padding)
| Sets the part detection padding length. More...
kStatus | GoPartDetection_SetPaddingWidth (GoPartDetection detection, k64f padding)
| Sets the part detection padding width. More...
kStatus | GoPartDetection_SetThreshold (GoPartDetection detection, k64f height)
| Sets the part detection height threshold. More...
kStatus | GoPartDetection_SetThresholdDirection (GoPartDetection detection, GoPartHeightThresholdDirection direction)
| Sets the part detection height threshold direction. More...
k64f | GoPartDetection_Threshold (GoPartDetection detection)
| Gets the part detection threshold value. More...
GoPartHeightThresholdDirection | GoPartDetection_ThresholdDirection (GoPartDetection detection)
| Gets the part detection threshold direction. More...
k64f | GoPartDetection_ThresholdLimitMax (GoPartDetection detection)
| Gets the part detection maximum threshold value. More...
k64f | GoPartDetection_ThresholdLimitMin (GoPartDetection detection)
| Gets the part detection minimum threshold value. More...
GoSurfaceGenerationType | GoSurfaceGeneration_GenerationType (GoSurfaceGeneration surface)
| Gets the current surface generation type. More...
kStatus | GoSurfaceGeneration_SetGenerationType (GoSurfaceGeneration surface, GoSurfaceGenerationType type)
| Sets the surface generation type. More...
k64f | GoSurfaceGenerationFixedLength_Length (GoSurfaceGeneration surface)
| Gets the fixed length surface generation surface length. More...
k64f | GoSurfaceGenerationFixedLength_LengthLimitMax (GoSurfaceGeneration surface)
| Gets the fixed length surface generation circumference limit maximum value. More...
k64f | GoSurfaceGenerationFixedLength_LengthLimitMin (GoSurfaceGeneration surface)
| Gets the fixed length surface generation circumference limit minimum value. More...
kStatus | GoSurfaceGenerationFixedLength_SetLength (GoSurfaceGeneration surface, k64f length)
| Sets the fixed length surface generation surface length. More...
kStatus | GoSurfaceGenerationFixedLength_SetStartTrigger (GoSurfaceGeneration surface, GoSurfaceGenerationStartTrigger trigger)
| Sets the fixed length surface generation start trigger. More...
GoSurfaceGenerationStartTrigger | GoSurfaceGenerationFixedLength_StartTrigger (GoSurfaceGeneration surface)
| Gets the fixed length surface generation start trigger. More...
k64f | GoSurfaceGenerationRotational_Circumference (GoSurfaceGeneration surface)
| Gets the rotational surface generation circumference. More...
k64f | GoSurfaceGenerationRotational_CircumferenceLimitMax (GoSurfaceGeneration surface)
| Gets the rotational surface generation circumference limit maximum value. More...
k64f | GoSurfaceGenerationRotational_CircumferenceLimitMin (GoSurfaceGeneration surface)
| Gets the rotational surface generation circumference limit minimum value. More...
kStatus | GoSurfaceGenerationRotational_SetCircumference (GoSurfaceGeneration surface, k64f value)
| Sets the rotational surface generation surface circumference. More...
k64f | GoSurfaceGenerationVariableLength_MaxLength (GoSurfaceGeneration surface)
| Gets the variable length surface generation maximum length. More...
k64f | GoSurfaceGenerationVariableLength_MaxLengthLimitMax (GoSurfaceGeneration surface)
| Gets the variable length surface generation circumference limit maximum value. More...
k64f | GoSurfaceGenerationVariableLength_MaxLengthLimitMin (GoSurfaceGeneration surface)
| Gets the variable length surface generation circumference limit minimum value. More...
kStatus | GoSurfaceGenerationVariableLength_SetMaxLength (GoSurfaceGeneration surface, k64f length)
| Sets the variable length surface generation maximum length. More...

## Member Function Documentation

kStatus GoPartDetection_EnablePartDetection | ( | GoPartDetection | detection,
|  | kBool | enable
| ) |  |

Enables part detection.

Parameters

  detection | GoPartDetection object.
  enable | kTRUE to enable, or kFALSE to disable.

Returns
  Operation status.

kBool GoPartDetection_EnablePartDetectionUsed | ( | GoPartDetection | detection | ) |

Returns the state of whether or not the user specified part detection value is used.

Parameters

  detection | GoPartDetection object.

Returns
  kTRUE if used and kFALSE if not.

GoPartFrameOfReference GoPartDetection_FrameOfReference | ( | GoPartDetection | detection | ) |

Gets the part detection frame of reference.

Parameters

  detection | GoPartDetection object.

Returns
  Part detection frame of reference.

k64f GoPartDetection_GapLength | ( | GoPartDetection | detection | ) |

Gets the part detection gap length value.

Parameters

  detection | GoPartDetection object.

Returns
  Part detection gap length value.

k64f GoPartDetection_GapLengthLimitMax | ( | GoPartDetection | detection | ) |

Gets the part detection gap length maximum limit value.

Parameters

  detection | GoPartDetection object.

Returns
  Part detection gap length maximum value.

k64f GoPartDetection_GapLengthLimitMin | ( | GoPartDetection | detection | ) |

Gets the part detection gap width minimum limit value.

Parameters

  detection | GoPartDetection object.

Returns
  Part detection gap width minimum value.

k64f GoPartDetection_GapWidth | ( | GoPartDetection | detection | ) |

Gets the part detection gap width value.

Parameters

  detection | GoPartDetection object.

Returns
  Part detection gap width value.

k64f GoPartDetection_GapWidthLimitMax | ( | GoPartDetection | detection | ) |

Gets the part detection gap width maximum limit value.

Parameters

  detection | GoPartDetection object.

Returns
  Part detection gap width maximum value.

k64f GoPartDetection_GapWidthLimitMin | ( | GoPartDetection | detection | ) |

Gets the part detection gap width minimum limit value.

Parameters

  detection | GoPartDetection object.

Returns
  Part detection gap width minimum value.

k64f GoPartDetection_MaxLength | ( | GoPartDetection | detection | ) |

Gets the part detection max length value.

Parameters

  detection | GoPartDetection object.

Returns
  Part detection max length value.

k64f GoPartDetection_MaxLengthLimitMax | ( | GoPartDetection | detection | ) |

Gets the part detection maximum length range maximum value.

Parameters

  detection | GoPartDetection object.

Returns
  Part detection maximum length range maximum value.

k64f GoPartDetection_MaxLengthLimitMin | ( | GoPartDetection | detection | ) |

Gets the part detection maximum length range minimum value.

Parameters

  detection | GoPartDetection object.

Returns
  Part detection maximum length range minimum value.

k64f GoPartDetection_MinArea | ( | GoPartDetection | detection | ) |

Gets the part detection minimum area value.

Parameters

  detection | GoPartDetection object.

Returns
  Part detection minimum area value.

k64f GoPartDetection_MinAreaLimitMax | ( | GoPartDetection | detection | ) |

Gets the part detection maximum area range maximum value.

Parameters

  detection | GoPartDetection object.

Returns
  Part detection maximum area range maximum value.

k64f GoPartDetection_MinAreaLimitMin | ( | GoPartDetection | detection | ) |

Gets the part detection minimum area range maximum value.

Parameters

  detection | GoPartDetection object.

Returns
  Part detection minimum area range maximum value.

k64f GoPartDetection_PaddingLength | ( | GoPartDetection | detection | ) |

Gets the part detection padding length value.

Parameters

  detection | GoPartDetection object.

Returns
  Part detection padding length value.

k64f GoPartDetection_PaddingLengthLimitMax | ( | GoPartDetection | detection | ) |

Gets the part detection padding length maximum limit value.

Parameters

  detection | GoPartDetection object.

Returns
  Part detection padding length maximum value.

k64f GoPartDetection_PaddingLengthLimitMin | ( | GoPartDetection | detection | ) |

Gets the part detection padding length minimum limit value.

Parameters

  detection | GoPartDetection object.

Returns
  Part detection padding length minimum value.

k64f GoPartDetection_PaddingWidth | ( | GoPartDetection | detection | ) |

Gets the part detection padding width value.

Parameters

  detection | GoPartDetection object.

Returns
  Part detection padding width value.

k64f GoPartDetection_PaddingWidthLimitMax | ( | GoPartDetection | detection | ) |

Gets the part detection padding width maximum limit value.

Parameters

  detection | GoPartDetection object.

Returns
  Part detection padding width maximum value.

k64f GoPartDetection_PaddingWidthLimitMin | ( | GoPartDetection | detection | ) |

Gets the part detection padding width minimum limit value.

Parameters

  detection | GoPartDetection object.

Returns
  Part detection padding width minimum value.

kBool GoPartDetection_PartDetectionEnabled | ( | GoPartDetection | detection | ) |

Gets the current state of part detection.

Parameters

  detection | GoPartDetection object.

Returns
  kTRUE if enabled and kFALSE if disabled.

kBool GoPartDetection_PartDetectionEnabledSystemValue | ( | GoPartDetection | detection | ) |

Gets the current part detection system state.

Parameters

  detection | GoPartDetection object.

Returns
  kTRUE if enabled and kFALSE if disabled.

kStatus GoPartDetection_SetFrameOfReference | ( | GoPartDetection | detection,
|  | GoPartFrameOfReference | frameOfRef
| ) |  |

Sets the part detection frame of reference.

Parameters

  detection | GoPartDetection object.
  frameOfRef | The part detection frame of reference value to set.

Returns
  Operation status.

kStatus GoPartDetection_SetGapLength | ( | GoPartDetection | detection,
|  | k64f | gap
| ) |  |

Sets the part detection gap length.

Parameters

  detection | GoPartDetection object.
  gap | The part detection gap length value to set.

Returns
  Operation status.

kStatus GoPartDetection_SetGapWidth | ( | GoPartDetection | detection,
|  | k64f | gap
| ) |  |

Sets the part detection gap width.

Parameters

  detection | GoPartDetection object.
  gap | The part detection gap width value to set.

Returns
  Operation status.

kStatus GoPartDetection_SetMaxLength | ( | GoPartDetection | detection,
|  | k64f | length
| ) |  |

Sets the part detection maximum length.

Parameters

  detection | GoPartDetection object.
  length | The part detection maximum length value to set.

Returns
  Operation status.

kStatus GoPartDetection_SetMinArea | ( | GoPartDetection | detection,
|  | k64f | area
| ) |  |

Sets the part detection minimum area.

Parameters

  detection | GoPartDetection object.
  area | The part detection minimum area value to set.

Returns
  Operation status.

kStatus GoPartDetection_SetPaddingLength | ( | GoPartDetection | detection,
|  | k64f | padding
| ) |  |

Sets the part detection padding length.

Parameters

  detection | GoPartDetection object.
  padding | The part detection padding length value to set.

Returns
  Operation status.

kStatus GoPartDetection_SetPaddingWidth | ( | GoPartDetection | detection,
|  | k64f | padding
| ) |  |

Sets the part detection padding width.

Parameters

  detection | GoPartDetection object.
  padding | The part detection padding width value to set.

Returns
  Operation status.

kStatus GoPartDetection_SetThreshold | ( | GoPartDetection | detection,
|  | k64f | height
| ) |  |

Sets the part detection height threshold.

Parameters

  detection | GoPartDetection object.
  height | The part detection height threshold value to set.

Returns
  Operation status.

kStatus GoPartDetection_SetThresholdDirection | ( | GoPartDetection | detection,
|  | GoPartHeightThresholdDirection | direction
| ) |  |

Sets the part detection height threshold direction.

Parameters

  detection | GoPartDetection object.
  direction | The part detection height threshold direction value to set.

Returns
  Operation status.

k64f GoPartDetection_Threshold | ( | GoPartDetection | detection | ) |

Gets the part detection threshold value.

Parameters

  detection | GoPartDetection object.

Returns
  Part detection threshold value.

GoPartHeightThresholdDirection GoPartDetection_ThresholdDirection | ( | GoPartDetection | detection | ) |

Gets the part detection threshold direction.

Parameters

  detection | GoPartDetection object.

Returns
  Part detection threshold direction.

k64f GoPartDetection_ThresholdLimitMax | ( | GoPartDetection | detection | ) |

Gets the part detection maximum threshold value.

Parameters

  detection | GoPartDetection object.

Returns
  Part detection maximum threshold value.

k64f GoPartDetection_ThresholdLimitMin | ( | GoPartDetection | detection | ) |

Gets the part detection minimum threshold value.

Parameters

  detection | GoPartDetection object.

Returns
  Part detection minimum threshold value.

GoSurfaceGenerationType GoSurfaceGeneration_GenerationType | ( | GoSurfaceGeneration | surface | ) |

Gets the current surface generation type.

Parameters

  surface | GoSurfaceGeneration object.

Returns
  The surface generation type.

kStatus GoSurfaceGeneration_SetGenerationType | ( | GoSurfaceGeneration | surface,
|  | GoSurfaceGenerationType | type
| ) |  |

Sets the surface generation type.

Parameters

  surface | GoSurfaceGeneration object.
  type | The surface generation type to set.

Returns
  Operation status.

k64f GoSurfaceGenerationFixedLength_Length | ( | GoSurfaceGeneration | surface | ) |

Gets the fixed length surface generation surface length.

Parameters

  surface | GoSurfaceGeneration object.

Returns
  The fixed length surface generation surface length.

k64f GoSurfaceGenerationFixedLength_LengthLimitMax | ( | GoSurfaceGeneration | surface | ) |

Gets the fixed length surface generation circumference limit maximum value.

Parameters

  surface | GoSurfaceGeneration object.

Returns
  The fixed length surface generation circumference limit maximum value.

k64f GoSurfaceGenerationFixedLength_LengthLimitMin | ( | GoSurfaceGeneration | surface | ) |

Gets the fixed length surface generation circumference limit minimum value.

Parameters

  surface | GoSurfaceGeneration object.

Returns
  The fixed length surface generation circumference limit minimum value.

kStatus GoSurfaceGenerationFixedLength_SetLength | ( | GoSurfaceGeneration | surface,
|  | k64f | length
| ) |  |

Sets the fixed length surface generation surface length.

Parameters

  surface | GoSurfaceGeneration object.
  length | The fixed length surface generation surface length to set.

Returns
  Operation status.

kStatus GoSurfaceGenerationFixedLength_SetStartTrigger | ( | GoSurfaceGeneration | surface,
|  | GoSurfaceGenerationStartTrigger | trigger
| ) |  |

Sets the fixed length surface generation start trigger.

Parameters

  surface | GoSurfaceGeneration object.
  trigger | The surface generation start trigger value to set.

Returns
  Operation status.

GoSurfaceGenerationStartTrigger GoSurfaceGenerationFixedLength_StartTrigger | ( | GoSurfaceGeneration | surface | ) |

Gets the fixed length surface generation start trigger.

Parameters

  surface | GoSurfaceGeneration object.

Returns
  The fixed length surface generation start trigger.

k64f GoSurfaceGenerationRotational_Circumference | ( | GoSurfaceGeneration | surface | ) |

Gets the rotational surface generation circumference.

Parameters

  surface | GoSurfaceGeneration object.

Returns
  The rotational surface generation circumference.

k64f GoSurfaceGenerationRotational_CircumferenceLimitMax | ( | GoSurfaceGeneration | surface | ) |

Gets the rotational surface generation circumference limit maximum value.

Parameters

  surface | GoSurfaceGeneration object.

Returns
  The rotational surface generation circumference limit maximum value.

k64f GoSurfaceGenerationRotational_CircumferenceLimitMin | ( | GoSurfaceGeneration | surface | ) |

Gets the rotational surface generation circumference limit minimum value.

Parameters

  surface | GoSurfaceGeneration object.

Returns
  The rotational surface generation circumference limit minimum value.

kStatus GoSurfaceGenerationRotational_SetCircumference | ( | GoSurfaceGeneration | surface,
|  | k64f | value
| ) |  |

Sets the rotational surface generation surface circumference.

Parameters

  surface | GoSurfaceGeneration object.
  value | The rotational surface generation circumference value to set.

Returns
  Operation status.

k64f GoSurfaceGenerationVariableLength_MaxLength | ( | GoSurfaceGeneration | surface | ) |

Gets the variable length surface generation maximum length.

Parameters

  surface | GoSurfaceGeneration object.

Returns
  The variable length surface generation maximum length.

k64f GoSurfaceGenerationVariableLength_MaxLengthLimitMax | ( | GoSurfaceGeneration | surface | ) |

Gets the variable length surface generation circumference limit maximum value.

Parameters

  surface | GoSurfaceGeneration object.

Returns
  The variable length surface generation circumference limit maximum value.

k64f GoSurfaceGenerationVariableLength_MaxLengthLimitMin | ( | GoSurfaceGeneration | surface | ) |

Gets the variable length surface generation circumference limit minimum value.

Parameters

  surface | GoSurfaceGeneration object.

Returns
  The variable length surface generation circumference limit minimum value.

kStatus GoSurfaceGenerationVariableLength_SetMaxLength | ( | GoSurfaceGeneration | surface,
|  | k64f | length
| ) |  |

Sets the variable length surface generation maximum length.

Parameters

  surface | GoSurfaceGeneration object.
  length | The variable length surface generation maximum length to set.

Returns
  Operation status.

The documentation for this class was generated from the following files:

- GoPartDetection.h
- GoSurfaceGeneration.h